org.eclipse.viatra.query.patternlanguage.emf.util

## Class EMFJvmTypesBuilder

- java.lang.Object
- - org.eclipse.xtext.xbase.jvmmodel.JvmTypesBuilder
  - - org.eclipse.viatra.query.patternlanguage.emf.util.EMFJvmTypesBuilder

-     public class EMFJvmTypesBuilder
      extends org.eclipse.xtext.xbase.jvmmodel.JvmTypesBuilder

  Custom `JvmTypesBuilder` for EMFPatternLanguage.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMFJvmTypesBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected <T extends org.eclipse.emf.ecore.EObject> T` | `initializeSafely(T targetElement, org.eclipse.xtext.xbase.lib.Procedures.Procedure1<? super T> initializer)` Overriding parent method to replace logging

    - ### Methods inherited from class org.eclipse.xtext.xbase.jvmmodel.JvmTypesBuilder

      `addAnnotation, addAnnotations, addArrayTypeDimension, associate, cloneAndAssociate, cloneAndAssociate, cloneWithProxies, cloneWithProxies, copyDocumentationTo, createJvmGenericType, getDocumentation, getExpression, getInitializer, getJvmAnnotationReference, inferredType, inferredType, internalSetExtension, isPrimitiveBoolean, isValidSource, newTypeRef, newTypeRef, newTypeRef, operator_add, operator_add, removeExistingBody, setBody, setBody, setBody, setCompilationStrategy, setCompilationStrategy, setDocumentation, setExtension, setExtension, setFileHeader, setInitializer, setInitializer, setInitializer, splitQualifiedName, toAnnotation, toAnnotation, toAnnotation, toAnnotation, toAnnotationType, toAnnotationType, toClass, toClass, toClass, toClass, toConstructor, toEnumerationLiteral, toEnumerationLiteral, toEnumerationType, toEnumerationType, toEqualsMethod, toEqualsMethod, toField, toField, toGetter, toGetter, toHashCodeMethod, toHashCodeMethod, toInterface, toJvmAnnotationValue, toMethod, toParameter, toSetter, toSetter, toToStringMethod, translateAnnotationsTo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EMFJvmTypesBuilder

          public EMFJvmTypesBuilder()

  - ### Method Detail

    - #### initializeSafely

          protected <T extends org.eclipse.emf.ecore.EObject> T initializeSafely(T targetElement,
                                                                                 org.eclipse.xtext.xbase.lib.Procedures.Procedure1<? super T> initializer)

      Overriding parent method to replace logging
      Overrides:
        `initializeSafely` in class `org.eclipse.xtext.xbase.jvmmodel.JvmTypesBuilder`